Bug 72661 - Window frames are drawn the wrong color
Summary: Window frames are drawn the wrong color
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: MoveUpstream, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-26 13:43 UTC by Ted Clark
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-13 04:05:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ted Clark 2002-08-26 13:43:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
Window frames are sometimes drawn the wrong color.  Sometimes the window on top
is grayed out, while a window down in the stacking order is not.  I have to
click and _move_ the top window to get it to redraw the correct color.  This
happens with click-to-focus and focus-follows-pointer (enter-only, a.k.a.
"sloppy" focus).  I have to kill and restart sawfish to clear this problem.

NOTE: This problem is related to #72658.  This problem does not occur until
after the sawfish window/root window menus crash.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Use the sawfish window/root window menus until they stop working.
2. Open a couple overlapping xterms and raise/lower them for a while.
3.
	

Actual Results:  Eventually the window with the input focus is grayed out, and
some other window is drawn with the "active" frame colors.

Expected Results:  The window with the input focus should always be drawn with
"active" frame colors, not grayed out.

Additional info:

Comment 1 Havoc Pennington 2003-01-13 04:05:18 UTC
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103332



Note You need to log in before you can comment on or make changes to this bug.